La migration de Drupal 6 à Drupal 7 : Différence entre versions

De April MediaWiki
(Non 'documentées et à creuser : faute)
(Faute)
Ligne 100 : Ligne 100 :
  
 
'''Remarque :'''
 
'''Remarque :'''
Drupal refuse d'entendre quoi que ce soit avec des modules en version N-1.X (des modules 6.x sous d7 par exemple) : drush et drupal-update refusent de chercher des mises à jour, drupal refuse des les activer. Une solution est de changer la version dans le fichier nom-du-module.info, mais cela ne protège pas d'incompatibilités et autres bugs.
+
Drupal refuse d'entendre quoi que ce soit avec des modules en version N-1.X (des modules 6.x sous d7 par exemple) : drush et drupal-update refusent de chercher des mises à jour, drupal refuse de les activer. Une solution est de changer la version dans le fichier nom-du-module.info, mais cela ne protège pas d'incompatibilités et autres bugs.
  
 
== Ce qu'on fait des modules ==
 
== Ce qu'on fait des modules ==

Version du 20 juillet 2012 à 16:38


Travail en cours

Cette page est utilisée pour préparer la migration du site principale de l'association de Drupal 6 à Drupal 7. Elle fait partie d'un projet plus vaste : la mise en place d'une seconde version pour le site Web sous Drupal.

Mise à jour pré-migration

Avant d'entamer la migration vers Drupal 7, Drupal 6 a été mis à jour, avec tout ses modules, dans les dernières versions disponibles.

Lise des modules mis à jour :

* contact_form
* date
* localization client
* panels
* Printer, email and PDF
* tayonomy access control lite
* view unpublished
* theme bluebreeze
* theme zen

Liste des modules Drupal utilisés

Liste des modules Drupal 6 utilisés sur le site et les équivalents sous Drupal 7 :

Module Version Commentaire Utile Notes sur la mise à jour D6 Notes sur la mise à jour D7
Advanced_Contact 6.x-1.1 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
Advanced_help 6.x-1.2 à jour 7.x-1.0 dispo
Alinks 6.x-1.0-rc1 à jour 7.x-1.1 dispo
Calendar 6.x-2.4 à jour 7.x-3.4 dispo
Chaos_tool_suite (ctools) 6.x-1.8 à jour 7.x-1.0 dispo
Contact Forms 6.x-1.12 version recommendée 6.x-1.14 (2012-avr.-17) 7.x-1.3 dispo
Content_Construction_Kit (CCK) 6.x-2.9 Egalement disponible : 6.x-3.0-alpha3 (2011-mars-17) 7.x-2.x-dev voir si fonctionnelle, sinon si 6.x marche encore
Content Templates (Contemplate) 6.x-1.2 à jour 7.x-1.0-rc3 dispo
Date 6.x-2.7 Version recommandée : 6.x-2.9 (2012-avr.-27) 7.x-2.5 dispo
Diff 6.x-2.3 à jour 7.x-2.0 dispo
Feed_Path_Publisher 6.x-1.2 à jour ?
Footnotes 6.x-2.5 à jour 7.x-2.5 dispo
HTMLcomment 6.x-1.0 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
Internationalization 6.x-1.10 à jour 7.x-1.7 dispo
Link 6.x-2.9 à jour 7.x-1.0 dispo
Localization_client 6.x-2.0 Version recommandée : 6.x-2.1 (2012-avr.-26) 7.x-1.1 dispo
Mime_Mail 6.x-1.0 à jour 7.x-1.0-alpha1 dispo
No_request_new_password 6.x-2.0 à jour 7.x-1.2 dispo
Node_clone 6.x-1.3 à jour 7.x-1.0-beta1 dispo
Panels 6.x-3.9 Mise à jour de sécurité : 6.x-3.10 (2012-janv.-18) 7.x-3.2 dispo
Pathauto 6.x-1.6 à jour 7.x-1.1 dispo
Printer, email and PDF versions 6.x-1.14 Version recommandée : 6.x-1.17 (2012-Mai-25) ?
Quotes 6.x-1.42 à jour 7.x-1.x-dev voir si fonctionnelle
Search 404 6.x-1.11 à jour 7.x-1.1
Syndication 6.x-1.7 à jour 7.x-1.x-dev voir si fonctionnelle
Table of Contents 6.x-3.7 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
Tagadelic 6.x-1.3 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
Taxonomy Access Control Lite 6.x-1.5 Mise à jour de sécurité : 6.x-1.6 (2011-juin-08) pas de version 7.x, voir si la 6.x marche encore sous D7
Theme Settings API 6.x-1.4 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
Token 6.x-1.18 à jour 7.x-1.1 dispo
Upload path 6.x-1.0 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
view_unpublished 6.x-1.2 Version recommandée : 6.x-1.3 (2012-Mai-07) 7.x-1.1 dispo
Views 6.x-2.16 à jour 7.x-3.3 dispo
bluebreeze 6.x-1.x-dev (2010-juill.-11) 6.x-1.x-dev (2011-févr.-25) pas de version 7.x, voir si la 6.x marche encore sous D7
Zen 6.x-1.1 Version recommandée : 6.x-1.2 (2011-févr.-25) 7.x-5.1 dispo

Remarque : Drupal refuse d'entendre quoi que ce soit avec des modules en version N-1.X (des modules 6.x sous d7 par exemple) : drush et drupal-update refusent de chercher des mises à jour, drupal refuse de les activer. Une solution est de changer la version dans le fichier nom-du-module.info, mais cela ne protège pas d'incompatibilités et autres bugs.

Ce qu'on fait des modules

À désactiver, désinstaller et supprimer

À supprimer lors du nettoyage.

Sans scrupule

Un mot à dire

Entre les deux

A trouver une solution de remplacement

À [ supprimer / garder / mieux configurer / tester ] et trouver la solution de préférence lors de la migration

À configurer pour bien les utiliser

Modules internes, à faire migrer

  • alexendrie
  • gdtc
  • gdtc_auth


À garder

Les fondamentaux

Dépendances

Pas fondamental mais utile

À supprimer s'ils posent problème.

L'édition

Utile / sous-module / Autre

Modules potentiellement intéressants

Sous-modules de CCK

Notes

Proposition de plan de migration

Notes, discussions

Modifications des fichiers de Drupal ou de modules sur le site

Documentées
Non documentées et à creuser